---
title: "Create profile"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`POST /v2/entities/{id}/profile`

## Path parameters

- `id` (`entity-create-profile.path.id`; string, required)
  - format `uuid`

## Request body

_Required._

- `legalName` (`entity-create-profile.legalName`; string, required)
  - minLength 1
- `physicalAddress` (`entity-create-profile.physicalAddress`; map<unknown>, required)
- `consentPublicRecords` (`entity-create-profile.consentPublicRecords`; boolean, required)
- `entityId` (`entity-create-profile.entityId`; string, optional)
  - format `uuid`
- `tagline` (`entity-create-profile.tagline`; string, optional, nullable)
- `mailingAddress` (`entity-create-profile.mailingAddress`; map<unknown>, optional, nullable)
- `phoneNumber` (`entity-create-profile.phoneNumber`; string, optional, nullable)
- `email` (`entity-create-profile.email`; string, optional, nullable)
  - format `email`
- `websiteUrl` (`entity-create-profile.websiteUrl`; any of, optional)
  - any of:
    - `any of`
      - any of:
        - `Option 1`
        - `string`
    - `string`
- `socialLinks` (`entity-create-profile.socialLinks`; map<unknown>, optional, nullable)
- `industryCode` (`entity-create-profile.industryCode`; string, optional, nullable)
- `naicsCodePrimary` (`entity-create-profile.naicsCodePrimary`; string, optional, nullable)
- `naicsCodeSecondary` (`entity-create-profile.naicsCodeSecondary`; array<string>, optional, nullable)
- `sicCodePrimary` (`entity-create-profile.sicCodePrimary`; string, optional, nullable)
- `establishmentDate` (`entity-create-profile.establishmentDate`; string, optional, nullable)
- `foundedYear` (`entity-create-profile.foundedYear`; integer, optional, nullable)
  - min 1800; max 2100
- `legalStructure` (`entity-create-profile.legalStructure`; string, optional, nullable)
- `taxId` (`entity-create-profile.taxId`; string, optional, nullable)
- `employeeCount` (`entity-create-profile.employeeCount`; integer, optional, nullable)
  - min 0
- `companySizeCategory` (`entity-create-profile.companySizeCategory`; string, optional, nullable)
- `annualRevenueRange` (`entity-create-profile.annualRevenueRange`; string, optional, nullable)
- `exactAnnualRevenue` (`entity-create-profile.exactAnnualRevenue`; any of, optional, nullable)
  - any of: `number`, `string`
- `businessDescription` (`entity-create-profile.businessDescription`; string, optional, nullable)
- `audienceDashboardLayout` (`entity-create-profile.audienceDashboardLayout`; string, optional, nullable)
- `marketsServed` (`entity-create-profile.marketsServed`; array<string>, optional, nullable)
- `productsServices` (`entity-create-profile.productsServices`; array<string>, optional, nullable)
- `certifications` (`entity-create-profile.certifications`; array<string>, optional, nullable)
- `companyValues` (`entity-create-profile.companyValues`; unknown, optional, nullable)
- `achievements` (`entity-create-profile.achievements`; array<string>, optional, nullable)
- `profileTier` (`entity-create-profile.profileTier`; string, optional)
  - one of `"basic"`, `"premium"`
- `verificationStatus` (`entity-create-profile.verificationStatus`; string, optional)
  - one of `"unverified"`, `"pending"`, `"verified"`

## Example request

```json
{
  "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
  "legalName": "string",
  "tagline": "string",
  "physicalAddress": {
    "property1": null,
    "property2": null
  },
  "mailingAddress": {
    "property1": null,
    "property2": null
  },
  "phoneNumber": "string",
  "email": "user@example.com",
  "websiteUrl": {},
  "socialLinks": {
    "property1": null,
    "property2": null
  },
  "industryCode": "string",
  "naicsCodePrimary": "string",
  "naicsCodeSecondary": [
    "string"
  ],
  "sicCodePrimary": "string",
  "establishmentDate": "string",
  "foundedYear": 1800,
  "legalStructure": "string",
  "taxId": "string",
  "employeeCount": 0,
  "companySizeCategory": "string",
  "annualRevenueRange": "string",
  "exactAnnualRevenue": 0,
  "businessDescription": "string",
  "audienceDashboardLayout": "string",
  "marketsServed": [
    "string"
  ],
  "productsServices": [
    "string"
  ],
  "certifications": [
    "string"
  ],
  "companyValues": null,
  "achievements": [
    "string"
  ],
  "consentPublicRecords": true,
  "profileTier": "basic",
  "verificationStatus": "unverified"
}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url 'https://api.sureshake.com/v2/entities/<id>/profile' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
  "legalName": "string",
  "tagline": "string",
  "physicalAddress": {
    "property1": null,
    "property2": null
  },
  "mailingAddress": {
    "property1": null,
    "property2": null
  },
  "phoneNumber": "string",
  "email": "user@example.com",
  "websiteUrl": {},
  "socialLinks": {
    "property1": null,
    "property2": null
  },
  "industryCode": "string",
  "naicsCodePrimary": "string",
  "naicsCodeSecondary": [
    "string"
  ],
  "sicCodePrimary": "string",
  "establishmentDate": "string",
  "foundedYear": 1800,
  "legalStructure": "string",
  "taxId": "string",
  "employeeCount": 0,
  "companySizeCategory": "string",
  "annualRevenueRange": "string",
  "exactAnnualRevenue": 0,
  "businessDescription": "string",
  "audienceDashboardLayout": "string",
  "marketsServed": [
    "string"
  ],
  "productsServices": [
    "string"
  ],
  "certifications": [
    "string"
  ],
  "companyValues": null,
  "achievements": [
    "string"
  ],
  "consentPublicRecords": true,
  "profileTier": "basic",
  "verificationStatus": "unverified"
}
'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<id>/profile';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    entityId: '156e622c-6cdf-4c27-9bc9-2f2db69919f5',
    legalName: 'string',
    tagline: 'string',
    physicalAddress: {property1: null, property2: null},
    mailingAddress: {property1: null, property2: null},
    phoneNumber: 'string',
    email: 'user@example.com',
    websiteUrl: {},
    socialLinks: {property1: null, property2: null},
    industryCode: 'string',
    naicsCodePrimary: 'string',
    naicsCodeSecondary: ['string'],
    sicCodePrimary: 'string',
    establishmentDate: 'string',
    foundedYear: 1800,
    legalStructure: 'string',
    taxId: 'string',
    employeeCount: 0,
    companySizeCategory: 'string',
    annualRevenueRange: 'string',
    exactAnnualRevenue: 0,
    businessDescription: 'string',
    audienceDashboardLayout: 'string',
    marketsServed: ['string'],
    productsServices: ['string'],
    certifications: ['string'],
    companyValues: null,
    achievements: ['string'],
    consentPublicRecords: true,
    profileTier: 'basic',
    verificationStatus: 'unverified'
  })
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<id>/profile"

payload = {
    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
    "legalName": "string",
    "tagline": "string",
    "physicalAddress": {
        "property1": None,
        "property2": None
    },
    "mailingAddress": {
        "property1": None,
        "property2": None
    },
    "phoneNumber": "string",
    "email": "user@example.com",
    "websiteUrl": {},
    "socialLinks": {
        "property1": None,
        "property2": None
    },
    "industryCode": "string",
    "naicsCodePrimary": "string",
    "naicsCodeSecondary": ["string"],
    "sicCodePrimary": "string",
    "establishmentDate": "string",
    "foundedYear": 1800,
    "legalStructure": "string",
    "taxId": "string",
    "employeeCount": 0,
    "companySizeCategory": "string",
    "annualRevenueRange": "string",
    "exactAnnualRevenue": 0,
    "businessDescription": "string",
    "audienceDashboardLayout": "string",
    "marketsServed": ["string"],
    "productsServices": ["string"],
    "certifications": ["string"],
    "companyValues": None,
    "achievements": ["string"],
    "consentPublicRecords": True,
    "profileTier": "basic",
    "verificationStatus": "unverified"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
  "profile": {
    "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
    "legalName": "string",
    "tagline": "string",
    "physicalAddress": {
      "property1": null,
      "property2": null
    },
    "mailingAddress": {
      "property1": null,
      "property2": null
    },
    "phoneNumber": "string",
    "email": "user@example.com",
    "websiteUrl": {},
    "socialLinks": {
      "property1": null,
      "property2": null
    },
    "industryCode": "string",
    "naicsCodePrimary": "string",
    "naicsCodeSecondary": [
      "string"
    ],
    "sicCodePrimary": "string",
    "establishmentDate": "string",
    "foundedYear": 1800,
    "legalStructure": "string",
    "taxId": "string",
    "employeeCount": 0,
    "companySizeCategory": "string",
    "annualRevenueRange": "string",
    "exactAnnualRevenue": 0,
    "businessDescription": "string",
    "audienceDashboardLayout": "string",
    "marketsServed": [
      "string"
    ],
    "productsServices": [
      "string"
    ],
    "certifications": [
      "string"
    ],
    "companyValues": null,
    "achievements": [
      "string"
    ],
    "consentPublicRecords": true,
    "profileTier": "basic",
    "verificationStatus": "unverified",
    "ownership": [],
    "financialStatements": [],
    "tradeReferences": [],
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "completedAt": "2019-08-24T14:15:22Z"
  },
  "completionScore": 0
}
```

- `entityId` (`entity-create-profile.response.200.entityId`; string, required)
  - format `uuid`
- `profile` (`entity-create-profile.response.200.profile`; object, required, nullable)
  - `entityId` (`entity-create-profile.response.200.profile.entityId`; string, required)
    - format `uuid`
  - `legalName` (`entity-create-profile.response.200.profile.legalName`; string, required)
    - minLength 1
  - `physicalAddress` (`entity-create-profile.response.200.profile.physicalAddress`; map<unknown>, required)
  - `consentPublicRecords` (`entity-create-profile.response.200.profile.consentPublicRecords`; boolean, required)
  - `tagline` (`entity-create-profile.response.200.profile.tagline`; string, optional, nullable)
  - `mailingAddress` (`entity-create-profile.response.200.profile.mailingAddress`; map<unknown>, optional, nullable)
  - `phoneNumber` (`entity-create-profile.response.200.profile.phoneNumber`; string, optional, nullable)
  - `email` (`entity-create-profile.response.200.profile.email`; string, optional, nullable)
    - format `email`
  - `websiteUrl` (`entity-create-profile.response.200.profile.websiteUrl`; any of, optional)
    - any of:
      - `any of`
        - any of:
          - `Option 1`
          - `string`
      - `string`
  - `socialLinks` (`entity-create-profile.response.200.profile.socialLinks`; map<unknown>, optional, nullable)
  - `industryCode` (`entity-create-profile.response.200.profile.industryCode`; string, optional, nullable)
  - `naicsCodePrimary` (`entity-create-profile.response.200.profile.naicsCodePrimary`; string, optional, nullable)
  - `naicsCodeSecondary` (`entity-create-profile.response.200.profile.naicsCodeSecondary`; array<string>, optional, nullable)
  - `sicCodePrimary` (`entity-create-profile.response.200.profile.sicCodePrimary`; string, optional, nullable)
  - `establishmentDate` (`entity-create-profile.response.200.profile.establishmentDate`; string, optional, nullable)
  - `foundedYear` (`entity-create-profile.response.200.profile.foundedYear`; integer, optional, nullable)
    - min 1800; max 2100
  - `legalStructure` (`entity-create-profile.response.200.profile.legalStructure`; string, optional, nullable)
  - `taxId` (`entity-create-profile.response.200.profile.taxId`; string, optional, nullable)
  - `employeeCount` (`entity-create-profile.response.200.profile.employeeCount`; integer, optional, nullable)
    - min 0
  - `companySizeCategory` (`entity-create-profile.response.200.profile.companySizeCategory`; string, optional, nullable)
  - `annualRevenueRange` (`entity-create-profile.response.200.profile.annualRevenueRange`; string, optional, nullable)
  - `exactAnnualRevenue` (`entity-create-profile.response.200.profile.exactAnnualRevenue`; any of, optional, nullable)
    - any of: `number`, `string`
  - `businessDescription` (`entity-create-profile.response.200.profile.businessDescription`; string, optional, nullable)
  - `audienceDashboardLayout` (`entity-create-profile.response.200.profile.audienceDashboardLayout`; string, optional, nullable)
  - `marketsServed` (`entity-create-profile.response.200.profile.marketsServed`; array<string>, optional, nullable)
  - `productsServices` (`entity-create-profile.response.200.profile.productsServices`; array<string>, optional, nullable)
  - `certifications` (`entity-create-profile.response.200.profile.certifications`; array<string>, optional, nullable)
  - `companyValues` (`entity-create-profile.response.200.profile.companyValues`; unknown, optional, nullable)
  - `achievements` (`entity-create-profile.response.200.profile.achievements`; array<string>, optional, nullable)
  - `profileTier` (`entity-create-profile.response.200.profile.profileTier`; string, optional)
    - one of `"basic"`, `"premium"`
  - `verificationStatus` (`entity-create-profile.response.200.profile.verificationStatus`; string, optional)
    - one of `"unverified"`, `"pending"`, `"verified"`
  - `ownership` (`entity-create-profile.response.200.profile.ownership`; array<unknown>, optional)
  - `financialStatements` (`entity-create-profile.response.200.profile.financialStatements`; array<unknown>, optional)
  - `tradeReferences` (`entity-create-profile.response.200.profile.tradeReferences`; array<unknown>, optional)
  - `createdAt` (`entity-create-profile.response.200.profile.createdAt`; string, optional)
    - format `date-time`
  - `updatedAt` (`entity-create-profile.response.200.profile.updatedAt`; string, optional)
    - format `date-time`
  - `completedAt` (`entity-create-profile.response.200.profile.completedAt`; string, optional, nullable)
    - format `date-time`
- `completionScore` (`entity-create-profile.response.200.completionScore`; number, required)

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-create-profile.response.400.error`; object, required)
  - `code` (`entity-create-profile.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-create-profile.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-create-profile.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-create-profile.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-create-profile.response.401.error`; object, required)
  - `code` (`entity-create-profile.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-create-profile.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-create-profile.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-create-profile.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-create-profile.response.403.error`; object, required)
  - `code` (`entity-create-profile.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-create-profile.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-create-profile.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-create-profile.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-create-profile.response.404.error`; object, required)
  - `code` (`entity-create-profile.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-create-profile.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-create-profile.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-create-profile.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-create-profile.response.409.error`; object, required)
  - `code` (`entity-create-profile.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-create-profile.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`entity-create-profile.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-create-profile.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-create-profile.response.422.error`; object, required)
  - `code` (`entity-create-profile.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-create-profile.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`entity-create-profile.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-create-profile.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 429

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-create-profile.response.429.error`; object, required)
  - `code` (`entity-create-profile.response.429.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-create-profile.response.429.error.message`; string, required) — Human-readable error message
  - `details` (`entity-create-profile.response.429.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-create-profile.response.429.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-create-profile.response.500.error`; object, required)
  - `code` (`entity-create-profile.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-create-profile.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-create-profile.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-create-profile.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-create-profile.response.503.error`; object, required)
  - `code` (`entity-create-profile.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-create-profile.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-create-profile.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-create-profile.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-create-profile/index.md
